module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 151);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 151:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/aimm-input/src/main.vue?vue&type=template&id=793330ba&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: {
        AimmInput: true,
        flex_row: !_vm.isVertical,
        flex_column: _vm.isVertical
      },
      style: _vm.inputConStyle
    },
    [
      _vm.titleShow
        ? _c("div", { staticClass: "title_con" }, [
            _vm.inputRequired
              ? _c("div", {
                  class: { required_icon: true, invalid_icon: _vm.invalidInput }
                })
              : _vm._e(),
            _c("p", { staticClass: "title" }, [_vm._v(_vm._s(_vm.title))])
          ])
        : _vm._e(),
      _c("div", { staticClass: "input_con" }, [
        _c(
          "input",
          _vm._b(
            {
              class: { input_ele: true, invalid_input: _vm.invalidInput },
              attrs: {
                type: _vm.inputType,
                placeholder: _vm.placeholder,
                maxlength: _vm.inputLen
              },
              domProps: { value: _vm.value },
              on: {
                blur: function($event) {
                  _vm.inputBlur($event)
                },
                input: function($event) {
                  _vm.inputChanged($event)
                }
              }
            },
            "input",
            _vm.$attrs,
            false
          )
        ),
        _vm.isWordLimitVisible
          ? _c("span", { staticClass: "aimm_input--count" }, [
              _vm._v(
                "\n      " +
                  _vm._s(_vm.textLength) +
                  "/" +
                  _vm._s(_vm.upperLimit) +
                  "\n    "
              )
            ])
          : _vm._e(),
        _vm.invalidInput
          ? _c("p", { staticClass: "tips" }, [
              _vm._v("\n      " + _vm._s(_vm.inputTip) + "\n    ")
            ])
          : _vm._e()
      ])
    ]
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/aimm-input/src/main.vue?vue&type=template&id=793330ba&

// EXTERNAL MODULE: external "aimm-vue-ui/lib/utils/util"
var util_ = __webpack_require__(2);

// EXTERNAL MODULE: external "aimm-vue-ui/lib/utils/aimm-reg"
var aimm_reg_ = __webpack_require__(60);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/aimm-input/src/main.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//



/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  name: "AimmInput",
  computed: {
    upperLimit: function upperLimit() {
      return this.$attrs.maxlength;
    },
    textLength: function textLength() {
      if (typeof this.value === "number") {
        return String(this.value).length;
      }
      return (this.value || "").length;
    }
  },
  props: {
    // 是否显示标题部分
    titleShow: {
      type: Boolean,
      default: true
    },
    // 是否显示字数统计
    isWordLimitVisible: {
      type: Boolean,
      default: true
    },
    // 输入建议，针对纠错
    // inputTip : {
    //     type : String,
    //     default : "Please fill in the valid data"
    // },
    // 输入框的值
    value: [String, Number],
    // 输入的最大长度
    inputLen: {
      type: Number,
      default: 12
    },
    // 是否为非法输入
    // invalidInput : {
    //     type : Boolean,
    //     default : false
    // },
    inputRequired: {
      type: Boolean,
      default: true
    },
    // 标题
    title: {
      type: String,
      default: "title"
    },
    //占位
    placeholder: {
      type: String,
      default: ""
    },
    //类型
    inputType: {
      type: String,
      default: "text"
    },
    validator: {
      type: Object,
      default: function _default() {
        return {
          //是否开启当前组件的自动校验
          autoValidate: false,
          //校验
          reg: ""
        };
      }
    },
    // flex direction,决定了输入框的标题和输入框的排列方向是否为纵向或者横向
    isVertical: {
      type: Boolean,
      default: true
    },
    //aimmInput组件容器的自定义样式
    inputConStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    }
  },
  data: function data() {
    return {
      invalidInput: false,
      inputTip: "Please fill in the valid data"
    };
  },


  methods: {
    inputBlur: function inputBlur(ev) {
      if (this.inputRequired && !ev.target.value.length) {
        this.inputTip = "Must fill in";
        this.invalidInput = true;
      }
    },

    //监听输入框事件
    inputChanged: function inputChanged(e) {
      var val = e.target.value;
      //判断当前输入的长度是否超出最大长度限制
      if (Object(util_["GetLength"])(val) > this.upperLimit) {
        this.inputTip = "At most " + this.upperLimit + " characters";
        this.invalidInput = true;
      } else {
        this.invalidInput = false;
        if (this.validator.hasOwnProperty("autoValidate") && this.validator.autoValidate) {
          this.invalidInput = !this.validator.reg.test(val);
          if (this.invalidInput) {
            this.inputTip = "Please fill in the valid data";
          }
        } else {
          if (this.inputType !== "text") {
            if (aimm_reg_["AimmReg"].hasOwnProperty(this.inputType)) {
              this.invalidInput = !aimm_reg_["AimmReg"][this.inputType].test(val);
              if (this.invalidInput) {
                this.inputTip = "Please fill in the valid data";
              }
            } else {
              console.warn("Unknown inputType " + this.inputType);
            }
          }
        }
      }
      this.$emit("inputChanged", e); //将值放在自定义的事件函数中作为参数
    }
  }
});
// CONCATENATED MODULE: ./packages/aimm-input/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/aimm-input/src/main.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/aimm-input/src/main.vue"
/* harmony default export */ var main = (component.exports);
// CONCATENATED MODULE: ./packages/aimm-input/index.js


/* istanbul ignore next */
main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var aimm_input = __webpack_exports__["default"] = (main);

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("aimm-vue-ui/lib/utils/util");

/***/ }),

/***/ 60:
/***/ (function(module, exports) {

module.exports = require("aimm-vue-ui/lib/utils/aimm-reg");

/***/ })

/******/ });