module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 83);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/regenerator");

/***/ }),

/***/ 17:
/***/ (function(module, exports) {

module.exports = require("aimm-vue-ui/lib/button");

/***/ }),

/***/ 21:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "e", function() { return getUid; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "d", function() { return getFileIcon; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return fileTypeValidator; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return formatParams; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "f", function() { return sleep; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return accept; });
/* harmony import */ var babel_runtime_regenerator__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(16);
/* harmony import */ var babel_runtime_regenerator__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(babel_runtime_regenerator__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var babel_runtime_helpers_asyncToGenerator__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(27);
/* harmony import */ var babel_runtime_helpers_asyncToGenerator__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(babel_runtime_helpers_asyncToGenerator__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var babel_runtime_core_js_promise__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(29);
/* harmony import */ var babel_runtime_core_js_promise__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(babel_runtime_core_js_promise__WEBPACK_IMPORTED_MODULE_2__);




var _this = undefined;

var fileMiteTypes = {
  JPG: ["FFD8FFE0", "FFD8FFE1", "FFD8FFFE"],
  JPEG: ["FFD8FFE0", "FFD8FFE1", "FFD8FFFE"],
  JPE: ["FFD8FFE0", "FFD8FFE1", "FFD8FFFE"],
  PNG: ["89504E47", "FFD8FFE0"],
  GIF: "47494638",
  PDF: "255044",
  DOC: ["0D444F43", "D0CF11E0"],
  DOCX: "504B0304",
  PPTX: "504B0304",
  PPT: "D0CF11E0",
  XLSX: "504B0304",
  XLS: "D0CF11E0",
  TEXT: "D0CF11E0",
  TXT: "D0CF11E0",
  "7Z": "377ABCAF",
  ZIP: ["504B0304", "504B0506", "504B0708"]
};
var uid = 0;

// export function getUid() {
//   return uid++;
// }
function getUid() {
  var len = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 8;
  var radix = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 20;


  var chars = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz'.split('');

  var uuid = [],
      i;

  radix = radix || chars.length;

  if (len) {
    for (i = 0; i < len; i++) {
      uuid[i] = chars[0 | Math.random() * radix];
    }
  } else {
    var r;
    uuid[8] = uuid[13] = uuid[18] = uuid[23] = '-';
    uuid[14] = '4';

    for (i = 0; i < 36; i++) {

      if (!uuid[i]) {
        r = 0 | Math.random() * 16;
        uuid[i] = chars[i == 19 ? r & 0x3 | 0x8 : r];
      }
    }
  }
  return uuid.join('');
}

function getFileIcon(type) {
  type = type.toUpperCase();
  switch (type) {
    case "JPG":
    case "JPEG":
    case "JPE":
    case "PNG":
    case "GIF":
      return "aimm-icon-image-file";
    case "PDF":
      return "aimm-icon-pdf-file";
    case "DOC":
    case "DOCX":
      return "aimm-icon-word-file";
    case "XLSX":
    case "XLS":
      return "aimm-icon-excel-file";
    case "ZIP":
      return "aimm-icon-zip-file";
    case "7Z":
      return "aimm-icon-zip-file";
    default:
      return "aimm-icon-other-file";
  }
}

function fileTypeValidator(file, fileType) {

  var fileSlice = file.slice(0, 10);
  var fileReader = new FileReader();
  return new babel_runtime_core_js_promise__WEBPACK_IMPORTED_MODULE_2___default.a(function (resolve, reject) {
    fileReader.onload = function (e) {
      var arrayBuffer = e.target.result;
      var dateView = new DataView(arrayBuffer);
      var hexCode = dateView.getUint32(0, false).toString(16).toUpperCase();

      var type = fileType.toUpperCase();
      var mite = fileMiteTypes[type];
      if (mite) {
        if (Array.isArray(mite)) {
          resolve(mite.some(function (el) {
            return hexCode.includes(el);
          }));
        } else {
          resolve(hexCode.includes(mite));
        }
      } else {
        reject({
          message: "not allow file type!"
        });
      }
    };
    fileReader.onerror = function (err) {
      reject(err);
    };
    fileReader.readAsArrayBuffer(fileSlice);
  });
}

var formatParams = function formatParams(params) {
  var str = "";
  for (var key in params) {
    str += key + "=" + params[key] + "&";
  }
  return str.slice(0, str.length - 1);
};

var sleep = function () {
  var _ref = babel_runtime_helpers_asyncToGenerator__WEBPACK_IMPORTED_MODULE_1___default()( /*#__PURE__*/babel_runtime_regenerator__WEBPACK_IMPORTED_MODULE_0___default.a.mark(function _callee(timer) {
    return babel_runtime_regenerator__WEBPACK_IMPORTED_MODULE_0___default.a.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            return _context.abrupt("return", new babel_runtime_core_js_promise__WEBPACK_IMPORTED_MODULE_2___default.a(function (resolve) {
              setTimeout(function () {
                resolve();
              }, timer);
            }));

          case 1:
          case "end":
            return _context.stop();
        }
      }
    }, _callee, _this);
  }));

  return function sleep(_x3) {
    return _ref.apply(this, arguments);
  };
}();

// export const accept = [
//   "gif",
//   "jpg",
//   "jpeg",
//   "png",
//   "txt",
//   "pdf",
//   "doc",
//   "docx",
//   "xls",
//   "xlsx",
//   "ppt",
//   "pptx",
//   "7z",
//   "zip",
// ];

var accept = ["application/pdf", //PDF
"application/msword", //DOC
"application/vnd.openxmlformats-officedocument.wordprocessingml.document", //DOCX
"application/vnd.openxmlformats-officedocument.wordprocessingml.template", //dotx
"application/vnd.ms-excel", //xls
"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet", //XLXS
"text/plain", //txt
"image/png", "image/jpeg", //JPG,JPEG
"image/png", //JPG,JPEG
"application/vnd.ms-powerpoint", //PPT
"application/vnd.openxmlformats-officedocument.presentationml.presentation", //PPTX
"application/x-7z-compressed", //7z,
"application/x-rar-compressed", //rar,
"application/zip", //ZIP
"application/x-zip-compressed", "text/markdown"];

/***/ }),

/***/ 27:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/helpers/asyncToGenerator");

/***/ }),

/***/ 29:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/core-js/promise");

/***/ }),

/***/ 32:
/***/ (function(module, exports) {

module.exports = require("aimm-vue-ui/lib/tooltip");

/***/ }),

/***/ 35:
/***/ (function(module, exports) {

module.exports = require("aimm-vue-ui/lib/popover");

/***/ }),

/***/ 36:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/aimm-files/src/file-process.vue?vue&type=script&lang=js&

/* harmony default export */ var file_processvue_type_script_lang_js_ = ({
  props: {
    percentage: {
      type: Number,
      default: 20
    },
    strokeWidth: {
      type: Number,
      default: 3
    },
    text: [String],
    showText: [Boolean],
    status: {}
  },
  data: function data() {
    return {};
  },
  render: function render(h) {
    return h(
      "div",
      { "class": ["aimm-file-process", { full: !this.text }] },
      [this.text ? h(
        "span",
        { "class": "aimm-file-process_text", attrs: { title: this.text }
        },
        [this.text]
      ) : null, h("el-progress", {
        "class": "aimm-file-process_bar",
        attrs: { "stroke-width": this.strokeWidth,
          status: this.status || undefined,
          "show-text": this.showText,
          percentage: this.percentage
        }
      })]
    );
  }
});
// CONCATENATED MODULE: ./packages/aimm-files/src/file-process.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_file_processvue_type_script_lang_js_ = (file_processvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/aimm-files/src/file-process.vue
var render, staticRenderFns




/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_file_processvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/aimm-files/src/file-process.vue"
/* harmony default export */ var file_process = __webpack_exports__["a"] = (component.exports);

/***/ }),

/***/ 37:
/***/ (function(module, exports) {

module.exports = require("aimm-vue-ui/lib/notification");

/***/ }),

/***/ 42:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/aimm-files/src/upload.vue?vue&type=template&id=543a8c75&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      ref: "aimmUpload",
      staticClass: "aimm-upload",
      on: {
        drop: function($event) {
          $event.preventDefault()
          return _vm.onDrop($event)
        },
        dragover: function($event) {
          $event.preventDefault()
          _vm.dragover = true
        },
        dragleave: function($event) {
          $event.preventDefault()
          _vm.dragover = false
        }
      }
    },
    [
      _c(
        "div",
        { staticClass: "aimm-upload__inner" },
        [
          _c(
            "el-button",
            {
              attrs: {
                type: "primary",
                size: _vm.size,
                icon: "aimm-icon-upload",
                loading: _vm.uploading,
                plain: _vm.plain,
                bigRadius: _vm.bigRadius,
                noBorder: _vm.noBorder,
                round: _vm.round,
                circle: !_vm.showText,
                disabled: _vm.disabled
              },
              on: {
                click: function($event) {
                  $event.stopPropagation()
                  return _vm.handleClick($event)
                }
              }
            },
            [
              _vm.showText
                ? [
                    _vm._v(
                      "\n                 " +
                        _vm._s(
                          _vm.text
                            ? _vm.text
                            : _vm.t("aimm.upload.addAttachments")
                        ) +
                        "\n                 "
                    )
                  ]
                : _vm._e()
            ],
            2
          ),
          _c(
            "el-tooltip",
            {
              directives: [
                {
                  name: "show",
                  rawName: "v-show",
                  value: _vm.showTooltip,
                  expression: "showTooltip"
                }
              ],
              staticClass: "item",
              attrs: { effect: "dark", placement: "top" }
            },
            [
              _c(
                "div",
                {
                  staticClass: "aimm-upload-allowed",
                  attrs: { slot: "content" },
                  slot: "content"
                },
                [
                  _c("div", [_vm._v(_vm._s(_vm.t("aimm.upload.placeholder")))]),
                  _vm.limit
                    ? _c("div", [
                        _vm._v(
                          _vm._s(
                            _vm.t("aimm.upload.limitFilesTip", {
                              limitFilesNumber: _vm.limit
                            })
                          )
                        )
                      ])
                    : _vm._e(),
                  _vm.sizeLimit !== 51200
                    ? _c("div", [
                        _vm._v(
                          _vm._s(
                            _vm.t("aimm.upload.fileSizeLimitLessThen", {
                              fileSize: _vm.sizeLimit / 1024
                            })
                          )
                        )
                      ])
                    : _vm._e()
                ]
              ),
              _c("i", { staticClass: "aimm-pload-tip el-icon-warning-outline" })
            ]
          ),
          _vm.errorMsg
            ? _c("span", { staticClass: "aimm-upload-error" }, [
                _vm._v("\n\t\t\t\t" + _vm._s(_vm.errorMsg) + "\n\t\t\t")
              ])
            : _vm._e()
        ],
        1
      ),
      _c("input", {
        ref: "input",
        staticClass: "aimm-upload-input",
        attrs: {
          type: "file",
          multiple: _vm.multiple,
          accept: _vm.acceptTypes
        },
        on: { change: _vm.handleChange }
      })
    ]
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/aimm-files/src/upload.vue?vue&type=template&id=543a8c75&

// EXTERNAL MODULE: external "babel-runtime/core-js/get-iterator"
var get_iterator_ = __webpack_require__(51);
var get_iterator_default = /*#__PURE__*/__webpack_require__.n(get_iterator_);

// EXTERNAL MODULE: external "babel-runtime/regenerator"
var regenerator_ = __webpack_require__(16);
var regenerator_default = /*#__PURE__*/__webpack_require__.n(regenerator_);

// EXTERNAL MODULE: external "babel-runtime/helpers/asyncToGenerator"
var asyncToGenerator_ = __webpack_require__(27);
var asyncToGenerator_default = /*#__PURE__*/__webpack_require__.n(asyncToGenerator_);

// EXTERNAL MODULE: ./packages/aimm-files/src/ajax.js
var ajax = __webpack_require__(49);

// EXTERNAL MODULE: ./packages/aimm-files/src/utils.js
var utils = __webpack_require__(21);

// EXTERNAL MODULE: ./packages/aimm-files/src/file-process.vue + 2 modules
var file_process = __webpack_require__(36);

// EXTERNAL MODULE: external "aimm-vue-ui/lib/mixins/locale"
var locale_ = __webpack_require__(6);
var locale_default = /*#__PURE__*/__webpack_require__.n(locale_);

// EXTERNAL MODULE: external "aimm-vue-ui/lib/tooltip"
var tooltip_ = __webpack_require__(32);
var tooltip_default = /*#__PURE__*/__webpack_require__.n(tooltip_);

// EXTERNAL MODULE: external "aimm-vue-ui/lib/notification"
var notification_ = __webpack_require__(37);
var notification_default = /*#__PURE__*/__webpack_require__.n(notification_);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/aimm-files/src/upload.vue?vue&type=script&lang=js&



//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//







/* harmony default export */ var uploadvue_type_script_lang_js_ = ({
	name: 'AimmUpload',
	mixins: [locale_default.a],
	inject: {
		files: {
			default: ''
		}
	},
	props: {
		accept: {
			type: Array,
			default: function _default() {
				return utils["a" /* accept */];
			},

			validator: function validator(value) {
				return utils["a" /* accept */].some(function (type) {
					return value.includes(type);
				});
			}
		},
		multiple: [Boolean],
		limit: Number,
		sizeLimit: {
			type: Number,
			default: 51200
		},
		size: {
			type: String,
			default: 'mini'
		},
		showText: {
			type: Boolean,
			default: true
		},
		text: {
			type: String,
			default: ''
		},
		bigRadius: {
			type: Boolean,
			default: false
		},
		round: {
			type: Boolean,
			default: false
		},
		noBorder: {
			type: Boolean,
			default: false
		},
		showTooltip: {
			type: Boolean,
			default: true
		},
		disabled: {
			type: Boolean,
			default: false
		},
		plain: {
			type: Boolean,
			default: true
		},
		block: {
			type: Boolean,
			default: false
		},
		inline: {
			type: Boolean,
			default: false
		},
		uploadUrl: String,
		uploadParams: Object,
		headers: Object
	},
	components: { Process: file_process["a" /* default */], ElTooltip: tooltip_default.a },
	data: function data() {
		return {
			dragover: false,
			percentage: 0,
			uploading: false,
			progressStatus: '',
			fileName: '',
			processShow: false,
			errorMsg: ''
		};
	},

	computed: {
		acceptTypes: function acceptTypes() {
			return this.accept.map(function (el) {
				return '' + el;
			}).join(',');
		},
		limitSize: function limitSize() {
			return this.sizeLimit / 1024 + 'M';
		}
	},
	methods: {
		handleAnimationed: function handleAnimationed(e) {
			this.resetProcess();
		},
		handleClick: function handleClick() {
			if (!this.uploading) {
				this.clearInputValue();
				this.$refs['input'].click();
			}
		},
		clearInputValue: function clearInputValue() {
			this.$refs['input'].value = null;
		},
		handleChange: function handleChange(e) {
			var _this = this;

			return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee() {
				var files;
				return regenerator_default.a.wrap(function _callee$(_context) {
					while (1) {
						switch (_context.prev = _context.next) {
							case 0:
								files = e.target.files;

								console.log('files:', files);
								if (!_this.uploading) {
									_this.beforeUpload(files);
								}

							case 3:
							case 'end':
								return _context.stop();
						}
					}
				}, _callee, _this);
			}))();
		},
		handleUploadProcess: function handleUploadProcess(e) {
			console.log('handleUploadProcess-e:', e);
			this.percentage = e.percent;
			this.$emit('upload-process', e.percent);
		},
		handleUploadSuccess: function handleUploadSuccess(e) {
			if (e.code && e.code === 200) {
				var file = e.data;
				file.uid = Object(utils["e" /* getUid */])();
				this.$emit('upload-success', file);
			} else {
				this.handleUploadError(e);
			}
		},
		handleUploadError: function handleUploadError(e) {
			console.log(e);
			this.progressStatus = 'exception';
			notification_default()({
				title: 'Tip',
				message: e && e.message ? e.message : this.t('aimm.upload.error'),
				type: 'warning'
			});
			this.$emit('upload-error', e);
		},
		onDrop: function onDrop(e) {
			this.dragover = false;
			if (!this.uploading) {
				this.beforeUpload(e.dataTransfer.files);
			}
		},
		beforeUpload: function beforeUpload(files) {
			var _this2 = this;

			return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee2() {
				var sizeExceed, uploadFiles, hasNoAccepyType, _loop, _iterator, _isArray, _i, _ref, file, _iterator2, _isArray2, _i2, _ref2;

				return regenerator_default.a.wrap(function _callee2$(_context3) {
					while (1) {
						switch (_context3.prev = _context3.next) {
							case 0:
								if (!_this2.multiple) {
									files = [].slice.call(files, [0, 1]);
								}
								_this2.errorMsg = '';
								sizeExceed = [].some.call(files, function (el) {
									return el.size > _this2.sizeLimit * 1024;
								});

								if (!sizeExceed) {
									_context3.next = 8;
									break;
								}

								_this2.errorMsg = _this2.t('aimm.upload.fileSizeLimit');
								notification_default()({
									title: 'Tip',
									message: _this2.t('aimm.upload.fileSizeLimit'),
									type: 'warning'
								});
								_this2.clearInputValue();
								return _context3.abrupt('return');

							case 8:
								if (!(_this2.limit && _this2.files && (_this2.files.fileList.length > _this2.limit || _this2.files.fileList.length + files.length > _this2.limit))) {
									_context3.next = 13;
									break;
								}

								_this2.errorMsg = _this2.t('aimm.upload.fileLimit');
								notification_default()({
									title: 'Tip',
									message: _this2.t('aimm.upload.fileLimit'),
									type: 'warning'
								});
								_this2.clearInputValue();
								return _context3.abrupt('return');

							case 13:
								uploadFiles = [];
								hasNoAccepyType = false;
								_loop = /*#__PURE__*/regenerator_default.a.mark(function _loop(file) {
									var fileSuffix, type, r;
									return regenerator_default.a.wrap(function _loop$(_context2) {
										while (1) {
											switch (_context2.prev = _context2.next) {
												case 0:
													fileSuffix = file.name.replace(/.+\./, '');
													type = file.type;

													if (!(type && _this2.accept.some(function (accept) {
														return accept === type;
													}))) {
														_context2.next = 19;
														break;
													}

													if (!(type !== 'text/plain')) {
														_context2.next = 16;
														break;
													}

													_context2.prev = 4;
													_context2.next = 7;
													return Object(utils["b" /* fileTypeValidator */])(file, fileSuffix);

												case 7:
													r = _context2.sent;

													if (r) {
														uploadFiles.push(file);
													} else {
														hasNoAccepyType = true;
													}
													_context2.next = 14;
													break;

												case 11:
													_context2.prev = 11;
													_context2.t0 = _context2['catch'](4);

													console.error(_context2.t0);

												case 14:
													_context2.next = 17;
													break;

												case 16:
													uploadFiles.push(file);

												case 17:
													_context2.next = 20;
													break;

												case 19:
													hasNoAccepyType = true;

												case 20:
												case 'end':
													return _context2.stop();
											}
										}
									}, _loop, _this2, [[4, 11]]);
								});
								_iterator = files, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : get_iterator_default()(_iterator);

							case 17:
								if (!_isArray) {
									_context3.next = 23;
									break;
								}

								if (!(_i >= _iterator.length)) {
									_context3.next = 20;
									break;
								}

								return _context3.abrupt('break', 31);

							case 20:
								_ref = _iterator[_i++];
								_context3.next = 27;
								break;

							case 23:
								_i = _iterator.next();

								if (!_i.done) {
									_context3.next = 26;
									break;
								}

								return _context3.abrupt('break', 31);

							case 26:
								_ref = _i.value;

							case 27:
								file = _ref;
								return _context3.delegateYield(_loop(file), 't0', 29);

							case 29:
								_context3.next = 17;
								break;

							case 31:

								if (hasNoAccepyType) {
									notification_default()({
										title: 'Tip',
										message: _this2.t('aimm.upload.fileType'),
										type: 'warning'
									});
								}
								_this2.uploading = true;
								_this2.processShow = true;

								_iterator2 = uploadFiles, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : get_iterator_default()(_iterator2);

							case 35:
								if (!_isArray2) {
									_context3.next = 41;
									break;
								}

								if (!(_i2 >= _iterator2.length)) {
									_context3.next = 38;
									break;
								}

								return _context3.abrupt('break', 53);

							case 38:
								_ref2 = _iterator2[_i2++];
								_context3.next = 45;
								break;

							case 41:
								_i2 = _iterator2.next();

								if (!_i2.done) {
									_context3.next = 44;
									break;
								}

								return _context3.abrupt('break', 53);

							case 44:
								_ref2 = _i2.value;

							case 45:
								file = _ref2;

								_this2.fileName = file.name;
								_this2.percentage = 0;
								_this2.progressStatus = '';
								_context3.next = 51;
								return _this2.upload(file);

							case 51:
								_context3.next = 35;
								break;

							case 53:
								_this2.uploading = false;
								_this2.processShow = false;
								_this2.clearInputValue();

							case 56:
							case 'end':
								return _context3.stop();
						}
					}
				}, _callee2, _this2);
			}))();
		},
		resetProcess: function resetProcess() {
			this.percentage = 0;
			this.progressStatus = '';
			this.fileName = '';
		},
		upload: function upload(file) {
			var _this3 = this;

			return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee3() {
				var options;
				return regenerator_default.a.wrap(function _callee3$(_context4) {
					while (1) {
						switch (_context4.prev = _context4.next) {
							case 0:
								options = {
									action: _this3.uploadParams ? _this3.uploadUrl + '?' + Object(utils["c" /* formatParams */])(_this3.uploadParams) : _this3.uploadUrl,
									filename: 'file',
									file: file,
									onProgress: _this3.handleUploadProcess,
									onError: _this3.handleUploadError,
									onSuccess: _this3.handleUploadSuccess,
									headers: _this3.headers
								};
								_context4.prev = 1;

								_this3.$emit('upload-start', file);
								_context4.next = 5;
								return Object(ajax["a" /* default */])(options);

							case 5:
								_context4.next = 12;
								break;

							case 7:
								_context4.prev = 7;
								_context4.t0 = _context4['catch'](1);

								console.log(_context4.t0);
								_context4.next = 12;
								return Object(utils["f" /* sleep */])(1000);

							case 12:
								_context4.prev = 12;
								return _context4.finish(12);

							case 14:
							case 'end':
								return _context4.stop();
						}
					}
				}, _callee3, _this3, [[1, 7, 12, 14]]);
			}))();
		}
	},
	mounted: function mounted() {}
});
// CONCATENATED MODULE: ./packages/aimm-files/src/upload.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_uploadvue_type_script_lang_js_ = (uploadvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/aimm-files/src/upload.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_uploadvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/aimm-files/src/upload.vue"
/* harmony default export */ var src_upload = __webpack_exports__["a"] = (component.exports);

/***/ }),

/***/ 49:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return upload; });
/* harmony import */ var babel_runtime_core_js_object_keys__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(7);
/* harmony import */ var babel_runtime_core_js_object_keys__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(babel_runtime_core_js_object_keys__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var babel_runtime_core_js_promise__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(29);
/* harmony import */ var babel_runtime_core_js_promise__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(babel_runtime_core_js_promise__WEBPACK_IMPORTED_MODULE_1__);


function getError(action, option, xhr) {
  var msg = void 0;
  if (xhr.responseType === 'blob') {
    return;
  }
  if (xhr.response) {
    msg = '' + (xhr.response.error || xhr.response);
  } else if (xhr.responseText) {
    msg = '' + xhr.responseText;
  } else {
    msg = 'fail to post ' + action + ' ' + xhr.status;
  }

  var err = new Error(msg);
  err.status = xhr.status;
  err.method = 'post';
  err.url = action;
  return err;
}

function getBody(xhr) {
  var text = void 0;
  if (xhr.responseType === 'blob') {
    // let resHeader = xhr.getResponseHeader('content-disposition');
    // resHeader.match(/filename="(.+)"/)
    // return {
    //   fileName:RegExp.$1,
    //   blob:xhr.response
    // }
    return xhr.response;
  } else {
    text = xhr.responseText || xhr.response;
  }
  if (!text) {
    return text;
  }

  try {
    return JSON.parse(text);
  } catch (e) {
    return text;
  }
}

function upload(option) {
  return new babel_runtime_core_js_promise__WEBPACK_IMPORTED_MODULE_1___default.a(function (resolve, reject) {
    if (typeof XMLHttpRequest === 'undefined') {
      resolve();
      return;
    }
    var xhr = new XMLHttpRequest();
    var action = option.action;
    var formData = void 0;
    if (xhr.upload) {
      xhr.upload.onprogress = function progress(e) {
        if (e.total > 0) {
          e.percent = ~~(e.loaded / e.total * 100);
        }
        option.onProgress(e);
      };
    }
    xhr.onerror = function error(e) {
      option.onError(e);
      reject(e);
    };

    xhr.onload = function onload() {
      if (xhr.status < 200 || xhr.status >= 300) {
        option.onError && option.onError(getError(action, option, xhr));
        reject(getError(action, option, xhr));
      } else {
        option.onSuccess && option.onSuccess(getBody(xhr));
        resolve(getBody(xhr));
      }
    };

    if (option.method == 'get') {
      xhr.onprogress = function progress(e) {
        if (e.total > 0) {
          e.percent = ~~(e.loaded / e.total * 100);
        }
        option.onProgress(e);
      };
      xhr.open('get', action, true);
      xhr.responseType = 'blob';
    } else {
      formData = new FormData();

      if (option.data) {
        babel_runtime_core_js_object_keys__WEBPACK_IMPORTED_MODULE_0___default()(option.data).forEach(function (key) {
          formData.append(key, option.data[key]);
        });
      }

      formData.append(option.filename, option.file, option.file.name);
      xhr.open('post', action, true);
    }
    if (option.withCredentials && 'withCredentials' in xhr) {
      xhr.withCredentials = true;
    }

    var headers = option.headers || {};

    for (var item in headers) {
      if (headers.hasOwnProperty(item) && headers[item] !== null) {
        xhr.setRequestHeader(item, headers[item]);
      }
    }
    if (option.method == 'get') {
      xhr.send();
    } else {
      xhr.send(formData);
    }
  });
}

/***/ }),

/***/ 51:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/core-js/get-iterator");

/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports = require("aimm-vue-ui/lib/mixins/locale");

/***/ }),

/***/ 7:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/core-js/object/keys");

/***/ }),

/***/ 83:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/aimm-files/src/file-item.vue?vue&type=template&id=51e10380&
var file_itemvue_type_template_id_51e10380_render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      staticClass: "aimm-attach-item",
      class: [_vm.size, { inline: _vm.inline, block: _vm.block }],
      on: {
        mouseenter: function($event) {
          $event.stopPropagation()
          _vm.iconShow = true
        },
        mouseleave: function($event) {
          $event.stopPropagation()
          _vm.iconShow = false
        }
      }
    },
    [
      _vm.size === "medium"
        ? [
            _c(
              "div",
              {
                staticClass: "aimm-attach-img hover",
                class: { "aimm-attach-btn-preview": _vm.previewUrl }
              },
              [
                _c("i", {
                  staticClass: "aimm-file-icon",
                  class: _vm.fileTypeImg
                }),
                _c("i", {
                  staticClass: "aimm-btn-preview aimm-icon-btn-preview",
                  on: {
                    click: function($event) {
                      $event.stopPropagation()
                      $event.preventDefault()
                      _vm.handlerFilePreview(_vm.previewUrl)
                    }
                  }
                })
              ]
            ),
            _c("div", { staticClass: "aimm-attach-des" }, [
              _c(
                "div",
                {
                  staticClass: "aimm-attach-file-name",
                  attrs: { title: _vm.name }
                },
                [
                  _c(
                    "span",
                    {
                      staticClass: "txt-name",
                      on: {
                        click: function($event) {
                          $event.stopPropagation()
                          $event.preventDefault()
                          _vm.handlerFileName(_vm.baseData)
                        }
                      }
                    },
                    [_vm._v(_vm._s(_vm.name))]
                  ),
                  _c("button", {
                    staticClass: "aimm-btn-preview aimm-icon-download",
                    attrs: { type: "button" },
                    on: {
                      click: function($event) {
                        $event.stopPropagation()
                        $event.preventDefault()
                        return _vm.downloadFile($event)
                      }
                    }
                  })
                ]
              ),
              _c("div", { staticClass: "aimm-attach-sub" }, [
                _c("span", [
                  _vm._v(
                    "\n\t\t\t\t\t\t" + _vm._s(_vm.fileSize) + "\n\t\t\t\t\t"
                  )
                ])
              ])
            ])
          ]
        : _vm._e(),
      _vm.size === "small"
        ? [
            _c("i", { staticClass: "el-icon-paperclip" }),
            _c(
              "el-link",
              {
                staticClass: "aimm-attach-file-small-name",
                attrs: { title: _vm.name, underline: false },
                on: {
                  click: function($event) {
                    $event.stopPropagation()
                    $event.preventDefault()
                    _vm.handlerFileName(_vm.baseData)
                  }
                }
              },
              [_vm._v(_vm._s(_vm.displayName))]
            ),
            _c("span", { staticClass: "aimm-attach-file-small-size" }, [
              _vm._v("\n\t\t\t\t" + _vm._s(_vm.fileSize) + "\n\t\t\t")
            ])
          ]
        : _vm._e(),
      _vm.size === "mini"
        ? [
            _c(
              "div",
              {
                staticClass: "aimm-attach-mini-btn",
                on: {
                  click: function($event) {
                    $event.stopPropagation()
                    $event.preventDefault()
                    return _vm.downloadFile($event)
                  }
                }
              },
              [
                _c("i", { staticClass: "el-icon-paperclip" }),
                _c(
                  "el-link",
                  {
                    staticClass: "aimm-attach-file-small-name",
                    attrs: { title: _vm.name, underline: false },
                    on: {
                      click: function($event) {
                        $event.stopPropagation()
                        $event.preventDefault()
                        _vm.handlerFileName(_vm.baseData)
                      }
                    }
                  },
                  [_vm._v(_vm._s(_vm.displayName))]
                ),
                _c("span", { staticClass: "aimm-attach-file-mini-size" }, [
                  _vm._v("\n\t\t\t\t\t" + _vm._s(_vm.fileSize) + "\n\t\t\t\t")
                ]),
                _c("button", {
                  staticClass: "el-icon-close",
                  attrs: { type: "button" }
                })
              ],
              1
            )
          ]
        : _vm._e(),
      _vm.size !== "mini"
        ? [
            _c("transition", { attrs: { name: "sliderOutUp" } }, [
              _c(
                "div",
                {
                  directives: [
                    {
                      name: "show",
                      rawName: "v-show",
                      value: _vm.iconShow,
                      expression: "iconShow"
                    }
                  ],
                  staticClass: "attach-ctrl"
                },
                [
                  _vm.previewUrl && _vm.size === "small"
                    ? _c("button", {
                        staticClass: "aimm-icon-btn-preview",
                        attrs: { type: "button" },
                        on: {
                          click: function($event) {
                            $event.stopPropagation()
                            $event.preventDefault()
                            _vm.handlerFilePreview(_vm.previewUrl)
                          }
                        }
                      })
                    : _vm._e(),
                  _vm.size === "small"
                    ? _c("button", {
                        staticClass: "el-icon-download",
                        attrs: { type: "button" },
                        on: {
                          click: function($event) {
                            $event.stopPropagation()
                            $event.preventDefault()
                            return _vm.downloadFile($event)
                          }
                        }
                      })
                    : _vm._e(),
                  _vm.edit
                    ? _c("button", {
                        staticClass: "el-icon-delete",
                        attrs: { type: "button" },
                        on: {
                          click: function($event) {
                            $event.stopPropagation()
                            $event.preventDefault()
                            _vm.$emit("delete")
                          }
                        }
                      })
                    : _vm._e()
                ]
              )
            ])
          ]
        : _vm._e()
    ],
    2
  )
}
var staticRenderFns = []
file_itemvue_type_template_id_51e10380_render._withStripped = true


// CONCATENATED MODULE: ./packages/aimm-files/src/file-item.vue?vue&type=template&id=51e10380&

// EXTERNAL MODULE: ./packages/aimm-files/src/utils.js
var utils = __webpack_require__(21);

// EXTERNAL MODULE: ./packages/aimm-files/src/ajax.js
var ajax = __webpack_require__(49);

// CONCATENATED MODULE: ./packages/aimm-files/src/downloadMixin.js


/* harmony default export */ var downloadMixin = ({
  props: {
    name: [String],
    keyName: [String],
    fileSize: [String],
    fileSuffix: [String],
    previewUrl: [String],
    displayName: [String], // 展示名字
    downloadUrl: String,
    headers: Object,
    preview: Function // 预览回调
  },
  data: function data() {
    return {
      loading: false,
      status: '',
      percentage: 0
    };
  },

  computed: {
    fileTypeImg: function fileTypeImg() {
      return Object(utils["d" /* getFileIcon */])(this.name.replace(/.+\./, ''));
    }
  },
  methods: {
    handleUploadProcess: function handleUploadProcess(e) {
      this.percentage = e.percent > 99 ? 99 : e.percent;
    },
    handleUploadError: function handleUploadError(e) {
      var _this = this;

      this.status = 'exception';
      setTimeout(function () {
        _this.status = '';
        _this.loading = false;
      }, 1000);
    },
    handleUploadSuccess: function handleUploadSuccess(blob) {
      var _this2 = this;

      var fileReader = new FileReader();
      fileReader.onload = function (e) {
        _this2.percentage = 100;
        var downDom = document.createElement('a');
        downDom.href = e.target.result;
        downDom.download = _this2.name;
        downDom.click();
        downDom = null;
        _this2.resetLoading();
      };
      fileReader.readAsDataURL(blob);
    },
    resetLoading: function resetLoading() {
      this.loading = false;
      this.status = '';
      this.percentage = 0;
    },
    downloadFile: function downloadFile() {
      var option = {
        action: this.downloadUrl + '?keyName=' + this.keyName + '&fileUrl=' + this.keyName + '&originalFilename=' + this.name,
        method: 'get',
        onProgress: this.handleUploadProcess,
        onError: this.handleUploadError,
        onSuccess: this.handleUploadSuccess,
        headers: this.headers
      };
      this.loading = true;
      this.percentage = 1;
      Object(ajax["a" /* default */])(option);
    },
    handlerFilePreview: function handlerFilePreview() {
      var url = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

      if (!url) {
        return false;
      }
      if (this.preview && typeof this.preview === 'function') {
        return this.preview(url);
      }
      window.open(url);
    },
    handlerFileName: function handlerFileName(fileData) {
      if (!fileData) {
        return false;
      }
      if (this.clickFileName && typeof this.clickFileName === 'function') {
        return this.clickFileName(fileData);
      }
      this.downloadFile();
    }
  }
});
// EXTERNAL MODULE: ./packages/aimm-files/src/file-process.vue + 2 modules
var file_process = __webpack_require__(36);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/aimm-files/src/file-item.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//




var abc = void 0;
/* harmony default export */ var file_itemvue_type_script_lang_js_ = ({
	mixins: [downloadMixin],
	props: {
		size: [String],
		edit: Boolean,
		baseData: Object,
		block: {
			type: Boolean,
			default: false
		},
		inline: {
			type: Boolean,
			default: false
		},
		preview: Function, // 点击预览回调函数
		clickFileName: Function // 点击文件名称回调
	},
	components: { Process: file_process["a" /* default */] },
	data: function data() {
		return {
			iconShow: false
		};
	}
});
// CONCATENATED MODULE: ./packages/aimm-files/src/file-item.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_file_itemvue_type_script_lang_js_ = (file_itemvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/aimm-files/src/file-item.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_file_itemvue_type_script_lang_js_,
  file_itemvue_type_template_id_51e10380_render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/aimm-files/src/file-item.vue"
/* harmony default export */ var file_item = (component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/aimm-files/src/file-item-process.vue?vue&type=template&id=0eb9fc22&
var file_item_processvue_type_template_id_0eb9fc22_render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      staticClass: "aimm-attach-item",
      class: [_vm.size, { inline: _vm.inline, block: _vm.block }]
    },
    [
      _vm.size === "medium"
        ? [
            _c("div", { staticClass: "aimm-attach-img" }, [
              _c("i", { staticClass: "aimm-file-icon", class: _vm.fileTypeImg })
            ]),
            _c("div", { staticClass: "aimm-attach-des" }, [
              _c(
                "div",
                {
                  staticClass: "aimm-attach-file-name",
                  attrs: { title: _vm.file.name }
                },
                [
                  _c("span", { staticClass: "txt-name" }, [
                    _vm._v(_vm._s(_vm.file.name))
                  ])
                ]
              ),
              _vm._m(0)
            ])
          ]
        : _vm._e(),
      _vm.size === "small"
        ? [
            _c("i", { staticClass: "el-icon-paperclip" }),
            _c(
              "span",
              {
                staticClass: "aimm-attach-file-small-name",
                attrs: { title: _vm.file.name }
              },
              [_vm._v("\n\t\t\t\t" + _vm._s(_vm.file.name) + "\n\t\t\t")]
            ),
            _c("span", { staticClass: "aimm-attach-file-small-size" }, [
              _vm._v("\n\t\t\t\t...\n\t\t\t")
            ])
          ]
        : _vm._e(),
      _vm.size === "mini"
        ? [
            _c("div", { staticClass: "aimm-attach-mini-btn" }, [
              _c("i", { staticClass: "el-icon-paperclip" }),
              _c(
                "span",
                {
                  staticClass: "aimm-attach-file-mini-name",
                  attrs: { title: _vm.file.name }
                },
                [_vm._v("\n\t\t\t\t\t" + _vm._s(_vm.file.name) + "\n\t\t\t\t")]
              ),
              _c("span", { staticClass: "aimm-attach-file-mini-size" }, [
                _vm._v("\n\t\t\t\t\t...\n\t\t\t\t")
              ]),
              _c("button", {
                staticClass: "el-icon-close",
                attrs: { type: "button" }
              })
            ])
          ]
        : _vm._e(),
      _c(
        "transition",
        { attrs: { name: "el-fade-in" } },
        [
          _c("process", {
            attrs: {
              "stroke-width": 3,
              "show-text": false,
              status: _vm.status,
              percentage: _vm.percentage
            }
          })
        ],
        1
      )
    ],
    2
  )
}
var file_item_processvue_type_template_id_0eb9fc22_staticRenderFns = [
  function() {
    var _vm = this
    var _h = _vm.$createElement
    var _c = _vm._self._c || _h
    return _c("div", { staticClass: "aimm-attach-sub" }, [
      _c("span", [_vm._v("\n\t\t\t\t\t\t...\n\t\t\t\t\t")])
    ])
  }
]
file_item_processvue_type_template_id_0eb9fc22_render._withStripped = true


// CONCATENATED MODULE: ./packages/aimm-files/src/file-item-process.vue?vue&type=template&id=0eb9fc22&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/aimm-files/src/file-item-process.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//



/* harmony default export */ var file_item_processvue_type_script_lang_js_ = ({
	data: function data() {
		return {
			iconShow: false
		};
	},

	props: {
		size: [String],
		percentage: [Number],
		block: {
			type: Boolean,
			default: false
		},
		inline: {
			type: Boolean,
			default: false
		},
		file: {
			default: function _default() {
				return {};
			},
			type: Object
		},
		status: [String]
	},
	components: { Process: file_process["a" /* default */] },
	computed: {
		fileTypeImg: function fileTypeImg() {
			return Object(utils["d" /* getFileIcon */])(this.file.fileSuffix.replace(/.+\./, ''));
		}
	}
});
// CONCATENATED MODULE: ./packages/aimm-files/src/file-item-process.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_file_item_processvue_type_script_lang_js_ = (file_item_processvue_type_script_lang_js_); 
// CONCATENATED MODULE: ./packages/aimm-files/src/file-item-process.vue





/* normalize component */

var file_item_process_component = Object(componentNormalizer["a" /* default */])(
  src_file_item_processvue_type_script_lang_js_,
  file_item_processvue_type_template_id_0eb9fc22_render,
  file_item_processvue_type_template_id_0eb9fc22_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var file_item_process_api; }
file_item_process_component.options.__file = "packages/aimm-files/src/file-item-process.vue"
/* harmony default export */ var file_item_process = (file_item_process_component.exports);
// EXTERNAL MODULE: ./packages/aimm-files/src/upload.vue + 4 modules
var upload = __webpack_require__(42);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/aimm-files/src/file-pop.vue?vue&type=script&lang=js&



/* harmony default export */ var file_popvue_type_script_lang_js_ = ({
  name: "AimmFilePop",
  mixins: [downloadMixin],
  components: { Process: file_process["a" /* default */] },
  render: function render(h) {
    var _this = this;

    return h(
      "div",
      { "class": "aimm-attach-pop" },
      [h(
        "div",
        { "class": { 'aimm-attach-pop_img hover': true, 'aimm-attach-btn-preview': this.previewUrl } },
        [h("i", { "class": [this.fileTypeImg, 'aimm-file-icon'] }), h("i", {
          "class": "aimm-btn-preview aimm-icon-btn-preview",
          on: {
            "click": function click() {
              _this.handlerFilePreview(_this.previewUrl);
            }
          }
        })]
      ), h(
        "div",
        { "class": "aimm-attach-pop_des" },
        [h(
          "div",
          { "class": "txt-name", on: {
              "click": this.downloadFile
            }
          },
          [this.name]
        ), h("div", [this.fileSize])]
      ), h(
        "transition",
        {
          attrs: { name: "el-fade-in" }
        },
        [this.loading ? h("process", {
          attrs: {
            "stroke-width": 3,
            "show-text": false,
            status: this.status,
            percentage: this.percentage
          }
        }) : null]
      )]
    );
  }
});
// CONCATENATED MODULE: ./packages/aimm-files/src/file-pop.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_file_popvue_type_script_lang_js_ = (file_popvue_type_script_lang_js_); 
// CONCATENATED MODULE: ./packages/aimm-files/src/file-pop.vue
var file_pop_render, file_pop_staticRenderFns




/* normalize component */

var file_pop_component = Object(componentNormalizer["a" /* default */])(
  src_file_popvue_type_script_lang_js_,
  file_pop_render,
  file_pop_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var file_pop_api; }
file_pop_component.options.__file = "packages/aimm-files/src/file-pop.vue"
/* harmony default export */ var file_pop = (file_pop_component.exports);
// EXTERNAL MODULE: external "aimm-vue-ui/lib/popover"
var popover_ = __webpack_require__(35);
var popover_default = /*#__PURE__*/__webpack_require__.n(popover_);

// EXTERNAL MODULE: external "aimm-vue-ui/lib/button"
var button_ = __webpack_require__(17);
var button_default = /*#__PURE__*/__webpack_require__.n(button_);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/aimm-files/src/files.vue?vue&type=script&lang=js&









/* harmony default export */ var filesvue_type_script_lang_js_ = ({
	name: 'AimmFiles',
	provide: function provide() {
		return {
			files: this
		};
	},

	props: {
		multiple: [Boolean],
		limit: Number,
		accept: {
			type: Array,
			default: function _default() {
				return utils["a" /* accept */];
			},

			validator: function validator(value) {
				return utils["a" /* accept */].some(function (type) {
					return value.includes(type);
				});
			}
		},
		size: {
			type: String,
			validator: function validator(value) {
				return ['medium', 'small', 'mini', 'hide'];
			},

			default: 'medium'
		},
		buttonSize: {
			type: String,
			validator: function validator(value) {
				return ['medium', 'small', 'mini'];
			},

			default: 'mini'
		},
		fileList: {
			type: Array,
			required: true
		},
		uploadUrl: String,
		displayNameKeyName: String,
		uploadParams: Object,
		downloadUrl: String,
		headers: Object,
		edit: Boolean,
		upload: Boolean,
		preview: Function, // 点击预览回调函数
		clickFileName: Function, // 点击文件名称回调
		sizeLimit: {
			type: Number,
			default: 51200
		},
		block: {
			type: Boolean,
			default: false
		},
		inline: {
			type: Boolean,
			default: false
		},

		showText: {
			type: Boolean,
			default: true
		},
		text: {
			type: String,
			default: ''
		},
		bigRadius: {
			type: Boolean,
			default: false
		},
		round: {
			type: Boolean,
			default: false
		},
		noBorder: {
			type: Boolean,
			default: false
		},
		showTooltip: {
			type: Boolean,
			default: true
		},
		disabled: {
			type: Boolean,
			default: false
		},
		plain: {
			type: Boolean,
			default: true
		}
	},
	components: {
		FilesItem: file_item,
		Upload: upload["a" /* default */],
		FilesPop: file_pop,
		ElButton: button_default.a,
		FilesItemProcess: file_item_process
	},
	data: function data() {
		return {
			files: [],
			isInProgress: false,
			uploadingPercentage: 0,
			uploadingFiles: null,
			uploadingStatus: ''
		};
	},

	methods: {
		handleUploadStart: function handleUploadStart(file) {
			this.isInProgress = true;
			this.uploadingFiles = {
				name: file.name,
				originalFilename: file.name,
				fileSuffix: file.name.replace(/.+\./, ''),
				humanFileSize: ''
			};
			this.$emit('update:fileList', this.files);
		},
		handleUploadProcess: function handleUploadProcess(percent) {
			this.isInProgress = true;
			this.uploadingPercentage = percent;
		},
		handleSuccess: function handleSuccess(file) {
			this.isInProgress = false;
			this.files.push(file);
			this.$emit('update:fileList', this.files);
			this.$emit('upload-success', this.files);
			this.uploadingPercentage = 0;
		},
		handleDownLoad: function handleDownLoad(file, index) {},
		handleUploadError: function handleUploadError(e) {
			var _this = this;

			setTimeout(function () {
				_this.uploadingStatus = 'exception';
			}, 500);
			setTimeout(function () {
				_this.uploadingStatus = '';
				_this.isInProgress = false;
				_this.uploadingPercentage = 0;
				_this.uploadingFiles = null;
			}, 1500);
		},
		handleDelete: function handleDelete(file, index) {
			file && this.files.splice(index, 1);
			this.$emit('update:fileList', this.files);
			this.$emit('delete-file', this.files);
		}
	},
	watch: {
		fileList: {
			immediate: true,
			handler: function handler(fileList) {
				this.files = fileList.map(function (el) {
					el.uid = el.uid || Object(utils["e" /* getUid */])();
					return el;
				});
			}
		}
	},
	render: function render(h) {
		var _this2 = this;

		return this.size == 'hide' ? h(
			popover_default.a,
			{
				attrs: { placement: 'right', width: '250', trigger: 'click' }
			},
			[h(
				'div',
				{ 'class': 'aimm-attach-pop_list' },
				[this.files.map(function (file, index) {
					return h(file_pop, {
						key: file.uid,
						attrs: { headers: _this2.headers,
							name: file.originalFilename,
							keyName: file.keyName,
							fileSize: file.humanFileSize,
							fileSuffix: file.fileSuffix,
							downloadUrl: _this2.downloadUrl,
							previewUrl: file.previewUrl
						},
						on: {
							'download': function download(file, index) {
								_this2.handleDownLoad(file, index);
							},
							'delete': function _delete() {
								_this2.handleDelete(file, index);
							}
						}
					});
				})]
			), h('el-button', { slot: 'reference', attrs: { circle: true, icon: 'el-icon-paperclip', type: 'primary' }
			})]
		) : h('div', [this.upload ? h(upload["a" /* default */], {
			key: 'upload',
			'class': 'aimm-upload__bottom',
			attrs: { uploadUrl: this.uploadUrl,
				uploadParams: this.uploadParams,
				headers: this.headers,
				size: this.buttonSize,
				multiple: true,
				limit: this.limit,
				sizeLimit: this.sizeLimit,
				accept: this.accept,

				block: this.block,
				inline: this.inline,
				showTooltip: this.showTooltip,
				showText: this.showText,
				text: this.text,
				bigRadius: this.bigRadius,
				round: this.round,
				noBorder: this.noBorder,
				disabled: this.disabled,
				plain: this.plain
			},
			on: {
				'upload-start': this.handleUploadStart,
				'upload-success': this.handleSuccess,
				'upload-process': this.handleUploadProcess,
				'upload-error': this.handleUploadError
			}
		}) : null, h(
			'div',
			{ 'class': 'aimm-files-box' },
			[this.files.map(function (file, index) {
				return h(file_item, {
					key: !file.isTem ? file.uid : 'tmpFilesItem',
					attrs: { baseData: file,
						edit: _this2.edit && !file.disabled,
						headers: _this2.headers,
						size: _this2.size,
						name: file.originalFilename,
						keyName: file.keyName,
						displayName: _this2.displayNameKeyName && file[_this2.displayNameKeyName] ? file[_this2.displayNameKeyName] : file.originalFilename,
						fileSize: file.humanFileSize,
						fileSuffix: file.fileSuffix,
						downloadUrl: _this2.downloadUrl,
						previewUrl: file.previewUrl,
						preview: _this2.preview,
						clickFileName: _this2.clickFileName,
						block: _this2.block,
						inline: _this2.inline
					},
					on: {
						'download': function download(file, index) {
							_this2.handleDownLoad(file, index);
						},
						'delete': function _delete() {
							_this2.handleDelete(file, index);
						}
					}
				});
			}), this.isInProgress ? h(file_item_process, {
				key: 'tmpFilesItem',
				attrs: { file: this.uploadingFiles,
					size: this.size,
					name: this.uploadingFiles.originalFilename,
					displayName: this.uploadingFiles.originalFilename,
					fileSize: this.uploadingFiles.humanFileSize,
					fileSuffix: this.uploadingFiles.fileSuffix,
					percentage: this.uploadingPercentage,
					status: this.uploadingStatus,
					block: this.block,
					inline: this.inline
				}
			}) : null]
		)]);
	}
});
// CONCATENATED MODULE: ./packages/aimm-files/src/files.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_filesvue_type_script_lang_js_ = (filesvue_type_script_lang_js_); 
// CONCATENATED MODULE: ./packages/aimm-files/src/files.vue
var files_render, files_staticRenderFns




/* normalize component */

var files_component = Object(componentNormalizer["a" /* default */])(
  src_filesvue_type_script_lang_js_,
  files_render,
  files_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var files_api; }
files_component.options.__file = "packages/aimm-files/src/files.vue"
/* harmony default export */ var files = (files_component.exports);
// CONCATENATED MODULE: ./packages/aimm-files/index.js


/* istanbul ignore next */
files.install = function (Vue) {
  Vue.component(files.name, files);
};

/* harmony default export */ var aimm_files = __webpack_exports__["default"] = (files);

/***/ })

/******/ });