module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 164);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 15:
/***/ (function(module, exports) {

module.exports = require("aimm-vue-ui/lib/utils/resize-event");

/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/regenerator");

/***/ }),

/***/ 164:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external "babel-runtime/regenerator"
var regenerator_ = __webpack_require__(16);
var regenerator_default = /*#__PURE__*/__webpack_require__.n(regenerator_);

// EXTERNAL MODULE: external "babel-runtime/helpers/asyncToGenerator"
var asyncToGenerator_ = __webpack_require__(27);
var asyncToGenerator_default = /*#__PURE__*/__webpack_require__.n(asyncToGenerator_);

// EXTERNAL MODULE: external "babel-helper-vue-jsx-merge-props"
var external_babel_helper_vue_jsx_merge_props_ = __webpack_require__(30);
var external_babel_helper_vue_jsx_merge_props_default = /*#__PURE__*/__webpack_require__.n(external_babel_helper_vue_jsx_merge_props_);

// EXTERNAL MODULE: external "babel-runtime/helpers/extends"
var extends_ = __webpack_require__(20);
var extends_default = /*#__PURE__*/__webpack_require__.n(extends_);

// EXTERNAL MODULE: external "babel-runtime/core-js/object/assign"
var assign_ = __webpack_require__(61);
var assign_default = /*#__PURE__*/__webpack_require__.n(assign_);

// EXTERNAL MODULE: external "aimm-vue-ui/lib/utils/resize-event"
var resize_event_ = __webpack_require__(15);

// EXTERNAL MODULE: external "throttle-debounce"
var external_throttle_debounce_ = __webpack_require__(52);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/aimm-table/src/main.vue?vue&type=script&lang=js&









var columnDefaultProps = {};

function columnRender(h, columnData) {
  var column = assign_default()({}, columnData);
  if (column.type == 'selection' || column.type === 'expand') {
    column.width = 55;
  }
  if (column.type == 'selection') {
    return h('el-table-column', { props: extends_default()({ align: 'center' }, column) });
  }
  var render = null;
  var headerRender = null;
  var vnodeSlot = null;
  var headerVnode = null;
  if (!column.render && !column.slot) {
    column.showOverflowTooltip = true;
  }
  if (column.render) {
    render = column.render;
    delete column.render;
  }
  if (column.slot) {
    vnodeSlot = this.$scopedSlots[column.slot];
    delete column.slot;
  }
  if (column.headerRender) {
    headerRender = column.headerRender;
    delete column.headerRender;
  }
  if (column.headerSlot) {
    headerVnode = this.$scopedSlots['header-' + column.headerSlot];
    delete column.headerSlot;
  }

  return h('el-table-column', external_babel_helper_vue_jsx_merge_props_default()([{ props: column }, {
    scopedSlots: {
      default: render ? function (scope) {
        return render && render(h, scope);
      } : vnodeSlot,
      header: headerRender ? function (scope) {
        return headerRender && headerRender(h, scope);
      } : headerVnode
    }
  }]));
}

/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  components: {},
  name: 'AimmTable',
  props: {
    option: {
      type: Object,
      required: true
    },
    data: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    selection: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    loadMethod: {
      type: Function,
      default: function _default() {
        var _this = this;

        return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee() {
          return regenerator_default.a.wrap(function _callee$(_context) {
            while (1) {
              switch (_context.prev = _context.next) {
                case 0:
                case 'end':
                  return _context.stop();
              }
            }
          }, _callee, _this);
        }));
      }
    },
    blankHeight: {
      type: Number,
      default: 300
    },
    pageSizes: {
      type: Array,
      default: function _default() {
        return [30, 60, 90, 120];
      }
    },
    pageSize: {
      type: Number,
      default: 30
    },
    currentPage: {
      type: Number,
      default: 1
    },
    total: {
      type: Number,
      default: 0
    },
    hasPagination: [Boolean],
    loading: [Boolean]
  },
  data: function data() {
    return {
      height: 0
    };
  },

  computed: {},
  created: function created() {
    this.resetHandle = Object(external_throttle_debounce_["debounce"])(700, this.resetHeight);
    this.resetHeight();
  },
  mounted: function mounted() {
    Object(resize_event_["addResizeListener"])(document.body, this.resetHandle);
  },
  beforeDestroy: function beforeDestroy() {
    removeEventListener(document.body, this.resetHandle);
  },

  methods: {
    fetchData: function fetchData() {
      var _this2 = this;

      this.loading = true;
      this.loadMethod().then(function (res) {
        var rows = res.rows,
            pageNum = res.pageNum,
            pageSize = res.pageSize,
            pages = res.pages,
            total = res.total;

        _this2.data = rows;
        _this2.currentPage = pageNum;
        _this2.pageSize = pageSize;
        _this2.total = total;
      }).finally(function () {
        _this2.loading = false;
      });
    },
    resetHeight: function resetHeight() {
      var height = document.documentElement.clientHeight - this.blankHeight;
      this.height = height < 400 ? 400 : height;
    },
    clearSelection: function clearSelection() {
      return this.$refs['table'].clearSelection();
    },
    toggleRowSelection: function toggleRowSelection(row, select) {
      return this.$refs['table'].toggleRowSelection(row, select);
    },
    toggleAllSelection: function toggleAllSelection() {
      return this.$refs['table'].toggleAllSelection();
    },
    toggleRowExpansion: function toggleRowExpansion(row, expanded) {
      return this.$refs['table'].toggleRowExpansion(row, expanded);
    },
    setCurrentRow: function setCurrentRow(row) {
      return this.$refs['table'].setCurrentRow(row);
    },
    clearSort: function clearSort() {
      return this.$refs['table'].clearSort();
    },
    clearFilter: function clearFilter(columnKey) {
      return this.$refs['table'].clearFilter(columnKey);
    },
    doLayout: function doLayout() {
      return this.$refs['table'].doLayout();
    },
    sort: function sort(prop, order) {
      return this.$refs['table'].sort(prop, order);
    },
    handleSelection: function handleSelection(select) {
      this.$emit('update:selection', select);
      this.$emit('selection-change', select);
    },
    handleRowClick: function handleRowClick(row, cloumn, event) {
      this.$emit('row-click', row);
    },
    handleSizeChange: function handleSizeChange(value) {
      this.$emit('size-change', value);
    },
    handleCurrentChange: function handleCurrentChange(value) {
      this.$emit('current-change', value);
    }
  },
  render: function render(h) {
    var _this3 = this;

    var data = this.data,
        currentPage = this.currentPage,
        pageSizes = this.pageSizes,
        pageSize = this.pageSize,
        total = this.total;
    var _option = this.option,
        _option$table = _option.table,
        table = _option$table === undefined ? {} : _option$table,
        columns = _option.columns;

    var attrs = assign_default()({}, table);
    delete attrs.height;
    delete attrs.maxHeight;

    return h(
      'section',
      external_babel_helper_vue_jsx_merge_props_default()([{
        'class': 'aimm-curl-box'
      }, {
        attrs: {
          'element-loading-text': 'Loading....',
          'element-loading-spinner': 'el-icon-loading'
        }
      }, {
        directives: [{
          name: 'loading',
          value: this.loading
        }]
      }]),
      [h('div', [h(
        'el-table',
        external_babel_helper_vue_jsx_merge_props_default()([{
          ref: 'table'
        }, { props: extends_default()({}, attrs, { data: data }, { maxHeight: this.height }) }, {
          on: {
            'selection-change': this.handleSelection,
            'row-click': this.handleRowClick,
            select: function select(selection, row) {
              _this3.$emit('select', selection, row);
            },
            'select-all': function selectAll(selection) {
              _this3.$emit('select-all', selection);
            },
            'cell-mouse-enter': function cellMouseEnter(row, column, cell, event) {
              _this3.$emit('cell-mouse-enter', row, column, cell, event);
            },
            'cell-mouse-leave': function cellMouseLeave(row, column, cell, event) {
              _this3.$emit('cell-mouse-leave', row, column, cell, event);
            },
            'cell-click': function cellClick(row, column, cell, event) {
              _this3.$emit('cell-click', row, column, cell, event);
            },
            'cell-dblclick': function cellDblclick(row, column, cell, event) {
              _this3.$emit('cell-dblclick', row, column, cell, event);
            },
            'row-contextmenu': function rowContextmenu(row, column, event) {
              _this3.$emit('row-contextmenu', row, column, event);
            },
            'row-dblclick': function rowDblclick(row, column, event) {
              _this3.$emit('row-dblclick', row, column, event);
            },
            'header-click': function headerClick(column, event) {
              _this3.$emit('header-click', column, event);
            },
            'header-contextmenu': function headerContextmenu(column, event) {
              _this3.$emit('header-contextmenu', column, event);
            },
            'sort-change': function sortChange(e) {
              _this3.$emit('sort-change', e);
            },
            'filter-change': function filterChange(e) {
              _this3.$emit('filter-change', e);
            },
            'header-dragend': function headerDragend(newWidth, oldWidth, column, event) {
              _this3.$emit('header-dragend', newWidth, oldWidth, column, event);
            },
            'expand-change': function expandChange(row, expand) {
              _this3.$emit('expand-change', row, expand);
            }
          }
        }]),
        [columns.map(function (column) {
          return columnRender.call(_this3, h, column);
        })]
      )]), this.hasPagination ? h('el-pagination', external_babel_helper_vue_jsx_merge_props_default()([{
        'class': 'pagination-wrap'
      }, {
        on: {
          'size-change': this.handleSizeChange,
          'current-change': this.handleCurrentChange
        }
      }, {
        attrs: {
          currentPage: currentPage,
          pageSizes: pageSizes,
          pageSize: pageSize,
          background: true,
          layout: 'total, sizes, prev, pager, next, jumper',
          total: total
        }
      }])) : null]
    );
  }
});
// CONCATENATED MODULE: ./packages/aimm-table/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/aimm-table/src/main.vue
var main_render, staticRenderFns




/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  main_render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/aimm-table/src/main.vue"
/* harmony default export */ var main = (component.exports);
// CONCATENATED MODULE: ./packages/aimm-table/index.js


/* istanbul ignore next */
main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var aimm_table = __webpack_exports__["default"] = (main);

/***/ }),

/***/ 20:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/helpers/extends");

/***/ }),

/***/ 27:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/helpers/asyncToGenerator");

/***/ }),

/***/ 30:
/***/ (function(module, exports) {

module.exports = require("babel-helper-vue-jsx-merge-props");

/***/ }),

/***/ 52:
/***/ (function(module, exports) {

module.exports = require("throttle-debounce");

/***/ }),

/***/ 61:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/core-js/object/assign");

/***/ })

/******/ });